from PySide6.QtWidgets import QProgressBar


class ProgressUpdate:
    def __init__(self, progress: QProgressBar):
        self.start = 0
        self.end = 0
        self.current = 0
        self.progress = progress

    def start(self, start_value, end_value):
        self.start = start_value
        self.end = end_value
        self.current = start_value
        self.progress.update()

    def update(self, current):
        self.progress.update()
